---
updatedAt: 2026-04-22T15:20:35.000Z
agentTools:
  projectIndex: https://docs.data.one/llms.txt
---

# Get DataOne Credit Usage Report

This report provides a series of metrics to understand the credit usage for the user. All metrics are available over 90, 180 and 365 day lookback windows from the current date. This report is generated using categorisation version 42.0.0.

Note: This is a pre-built report that uses the GET /reports endpoint with the reportId specified explicitly.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "info": {
    "version": "v1",
    "title": "Reports",
    "description": "Endpoints relating to fetching reports for a user, which are collections of aggregated data points"
  },
  "paths": {
    "/v1/reports/data-one-credit-usage-v1": {
      "get": {
        "tags": [
          "Standard v42"
        ],
        "operationId": "getDataOneCreditUsageReport",
        "summary": "Get DataOne Credit Usage Report",
        "description": "This report provides a series of metrics to understand the credit usage for the user. All metrics are available over 90, 180 and 365 day lookback windows from the current date. This report is generated using categorisation version 42.0.0.\n\nNote: This is a pre-built report that uses the GET /reports endpoint with the reportId specified explicitly.",
        "security": [
          {
            "ApiKeyAuth": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/QueryUserId"
          },
          {
            "$ref": "#/components/parameters/QueryAccountId"
          }
        ],
        "responses": {
          "200": {
            "description": "The report results with a map of the aggregations as configured in the report.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DataOneCreditUsageReportResponse"
                }
              }
            }
          },
          "400": {
            "description": "Account IDs do not conform to UUID format."
          },
          "401": {
            "$ref": "#/components/responses/ApiKeyUnauthorizedError"
          },
          "403": {
            "description": "Access is forbidden if categorisation is disabled."
          },
          "404": {
            "description": "Report ID does not exist for partner."
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://api-sandbox.data.one",
      "description": "Hostname for sandbox API."
    }
  ],
  "components": {
    "securitySchemes": {
      "ApiKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-Key",
        "description": "Secret API key used for authentication."
      }
    },
    "schemas": {
      "DataOneCreditUsageReportResponse": {
        "type": "object",
        "description": "The report aggregation results are returned in the `queries` field as a map keyed by the query identifier.",
        "properties": {
          "reportId": {
            "$ref": "#/components/schemas/ReportId"
          },
          "categorisationVersion": {
            "$ref": "#/components/schemas/CategorisationVersion"
          },
          "queries": {
            "type": "object",
            "properties": {
              "creditCardExpenditure90d": {
                "type": "object",
                "description": "Credit card repayments over the last 90 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "creditCardExpenditure180d": {
                "type": "object",
                "description": "Credit card repayments over the last 180 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "creditCardExpenditure365d": {
                "type": "object",
                "description": "Credit card repayments over the last 365 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "loanFundsIncome90d": {
                "type": "object",
                "description": "Loan fund deposits, excluding student loans and payday loans, over the last 90 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "loanFundsIncome180d": {
                "type": "object",
                "description": "Loan fund deposits, excluding student loans and payday loans, over the last 180 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "loanFundsIncome365d": {
                "type": "object",
                "description": "Loan fund deposits, excluding student loans and payday loans, over the last 365 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "paydayLoanExpenditure90d": {
                "type": "object",
                "description": "Payday loan repayments over the last 90 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "paydayLoanExpenditure180d": {
                "type": "object",
                "description": "Payday loan repayments over the last 180 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "paydayLoanExpenditure365d": {
                "type": "object",
                "description": "Payday loan repayments over the last 365 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "paydayLoanFundsIncome90d": {
                "type": "object",
                "description": "Payday loan fund deposits over the last 90 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "paydayLoanFundsIncome180d": {
                "type": "object",
                "description": "Payday loan fund deposits over the last 180 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "paydayLoanFundsIncome365d": {
                "type": "object",
                "description": "Payday loan fund deposits over the last 365 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "count": {
                          "$ref": "#/components/schemas/ReportAggregateCount"
                        },
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "personalLoanExpenditure90d": {
                "type": "object",
                "description": "Loan repayments, excluding student loans and payday loans, over the last 90 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "personalLoanExpenditure180d": {
                "type": "object",
                "description": "Loan repayments, excluding student loans and payday loans, over the last 180 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "personalLoanExpenditure365d": {
                "type": "object",
                "description": "Loan repayments, excluding student loans and payday loans, over the last 365 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "vehicleFinanceExpenditure90d": {
                "type": "object",
                "description": "Vehicle finance repayments over the last 90 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "vehicleFinanceExpenditure180d": {
                "type": "object",
                "description": "Vehicle finance repayments over the last 180 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              },
              "vehicleFinanceExpenditure365d": {
                "type": "object",
                "description": "Vehicle finance repayments over the last 365 days.",
                "properties": {
                  "results": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "sumAmount": {
                          "$ref": "#/components/schemas/ReportAggregateSumAmount"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "example": {
          "reportId": "data-one-credit-usage-v1",
          "categorisationVersion": "42.0.0",
          "queries": {
            "creditCardExpenditure90d": {
              "results": [
                {
                  "sumAmount": 0
                }
              ]
            },
            "creditCardExpenditure180d": {
              "results": [
                {
                  "sumAmount": 100
                }
              ]
            },
            "creditCardExpenditure365d": {
              "results": [
                {
                  "sumAmount": 100
                }
              ]
            },
            "loanFundsIncome90d": {
              "results": [
                {
                  "count": 1,
                  "sumAmount": 200
                }
              ]
            },
            "loanFundsIncome180d": {
              "results": [
                {
                  "count": 1,
                  "sumAmount": 200
                }
              ]
            },
            "loanFundsIncome365d": {
              "results": [
                {
                  "count": 1,
                  "sumAmount": 200
                }
              ]
            },
            "paydayLoanExpenditure90d": {
              "results": [
                {
                  "sumAmount": 0
                }
              ]
            },
            "paydayLoanExpenditure180d": {
              "results": [
                {
                  "sumAmount": 0
                }
              ]
            },
            "paydayLoanExpenditure365d": {
              "results": [
                {
                  "sumAmount": 100
                }
              ]
            },
            "paydayLoanFundsIncome90d": {
              "results": [
                {
                  "count": 0,
                  "sumAmount": 0
                }
              ]
            },
            "paydayLoanFundsIncome180d": {
              "results": [
                {
                  "count": 1,
                  "sumAmount": 200
                }
              ]
            },
            "paydayLoanFundsIncome365d": {
              "results": [
                {
                  "count": 2,
                  "sumAmount": 400
                }
              ]
            },
            "personalLoanExpenditure90d": {
              "results": [
                {
                  "sumAmount": 0
                }
              ]
            },
            "personalLoanExpenditure180d": {
              "results": [
                {
                  "sumAmount": 0
                }
              ]
            },
            "personalLoanExpenditure365d": {
              "results": [
                {
                  "sumAmount": 100
                }
              ]
            },
            "vehicleFinanceExpenditure90d": {
              "results": [
                {
                  "sumAmount": 0
                }
              ]
            },
            "vehicleFinanceExpenditure180d": {
              "results": [
                {
                  "sumAmount": 100
                }
              ]
            },
            "vehicleFinanceExpenditure365d": {
              "results": [
                {
                  "sumAmount": 200
                }
              ]
            }
          }
        }
      },
      "ReportId": {
        "type": "string",
        "description": "A human readable string representing the unique ID for the report."
      },
      "CategorisationVersion": {
        "type": "string",
        "enum": [
          "42.0.0",
          "43.0.0",
          "44.0.0"
        ],
        "description": "The version of the categorisation engine used to generate the report."
      },
      "ReportAggregateCount": {
        "type": "number",
        "description": "The count of transactions when the containing query is used."
      },
      "ReportAggregateSumAmount": {
        "type": "number",
        "description": "The sum of the amount of each transaction when the containing query is used."
      }
    },
    "responses": {
      "ApiKeyUnauthorizedError": {
        "description": "API key authentication unsuccessful."
      }
    },
    "parameters": {
      "QueryUserId": {
        "in": "query",
        "name": "userId",
        "description": "The User ID.",
        "schema": {
          "type": "string",
          "format": "uuid"
        },
        "required": true,
        "example": "2590eaff-94dc-43f4-be30-bdab6c2cec8b"
      },
      "QueryAccountId": {
        "in": "query",
        "name": "accountId",
        "description": "Optional Account IDs. Can specify one or more values in order to aggregate over specific accounts. Leave out in order to aggregate over all user accounts.",
        "schema": {
          "type": "array",
          "items": {
            "type": "string",
            "format": "uuid"
          }
        },
        "style": "form",
        "required": false,
        "explode": true,
        "example": [
          "845c7468-123a-4139-a098-e3378c7598b2",
          "bdda349c-0c32-41e1-9020-7a4016668ae7"
        ]
      }
    }
  }
}
```